<?php
include("leftmenu/headlinks.txt.php");
class mod_admin extends Module
{
        var $defaultMenu;

        function mod_admin()
        {

                $this->adminModule =        TRUE;
                $this->ModuleName         = 'admin';
                $this->Public             = 1;
                $this->defaultAccess    = 'Public';

                //This is the default active menu. Check the headlinks array and put it properly
                $this->defaultMenu      = 'users';

                $this->PrivateActions = Array('left','main','header','footer','body','view_main','wallpaper');
                $this->PublicActions  = Array('login','do_login','showuser');
                parent::Module();

        }

    function main()
        {
		$this->pagination = $this->loadobject('obj_pagination');	
        switch (RequestAll('action'))
            {
            //BASIC ACTIONS
            case 'login' : $this->login_form(); break;
            case 'header': $this->header(); break;
            case 'footer': $this->footer(); break;
            case 'left':   $this->left(); break;            
            case 'body': $this->body(); break;
            case 'do_login' : $this->do_login(); break;
            case 'view_main' : $this->ViewMain(); break;
			
			
			///For Mobile operations
			
			/* Ringtone*/
            case 'addringcategory': $this->addringcategory(); break;
            case 'ringcategory': $this->ringcategory(); break;
            case 'addtonetype': $this->addtonetype(); break;
            case 'ringtype': $this->ringtype(); break;
			case 'addringorder': $this->addringorder(); break;
            case 'ringorder': $this->ringorder(); break;
			case 'edittone': $this->edittone(); break;
            case 'alltone': $this->alltone(''); break;
            case 'inserttone': $this->inserttone(); break;
            case 'add_tone': $this->add_tone(''); break;
			
			/*End of  Ringtone*/
			
			/*Video*/
            case 'uploadvideo': $this->uploadvideo('',''); break;
            case 'allvideo': $this->allvideo('',''); break;
			/*End of  video*/
			
			/* Users*/
            case 'adduser' :$this->adduser();break;
			case 'showuser': $this->showuser(); break;
			case 'del_user': $this->del_user(); break;
			case 'edit_user': $this->edit_user(); break;
			case 'verify_user': $this->verify_user(); break;
			case 'mail_user': $this->show_mail(); break;
			case 'send_mail': $this->send_mail(); break;
			/*End of Users*/
		
			
			/* advertisement*/
				case 'view_banners':         $this->view_banners(); break;
				case 'add_banners':         $this->add_banners(); break;
				case 'edit_banners':        $this->edit_banners(); break;
				case 'delete_banners':      $this->delete_banners(); break;

			/* end of advertisement*/
			
			/////End of Mobile operations
            default : $this->login_form();
	        }
    }
    
    /**
     * This is the form for login
     * You can chnage the template for design
     */
   function login_form()
   {
        $this->setTemplate('login');
        $this->Render();
   }
   
   /**
    * Authetincate Admin User
    *
    */
    
   function do_login()
    {
        $username = RequestForm('uname');
        $password = RequestForm('pass');

        $username = $this->Conn->Prepare($username);
        $password = $this->MD5($password);
        $SQL      = sprintf(SQL_CHECKUSER, $username, $password);
        $result   = $this->Conn->QuerySingle($SQL,0);

        if (is_array($result))
        {
            setRsCookie('authorised', 1);
            $this->Session->setValue('authorised', 1);
            $this->Session->setValue('userid', $result[0]);
            
            $redirect = 'index.php?action=view_main&active='.$this->defaultMenu;           
            setRsRedirect($redirect);
            
        }
        else
        {
            $this->assignVal('msg','Error');
            $this->login_form();
        }
    }
   
     
    /**
     * This is the default view. After admin logins he/she get access to this page
     * It uses frameset to display. 
     *
     */
    function ViewMain()
    { 
    
            global $defautActions;
            
            $this->assignVal('DefaultActions',$defautActions);
            $this->assignVal('active',RequestAll('active'));
            $this->setTemplate('main');
            $this->Render();
    }
    
    function header()
    {
            global $HeadLinksArray;
            $this->assignVal('active',RequestAll('active'));
            $this->assignVal('HeadLinks',$HeadLinksArray);
            $this->assignVal('uname',$this->User->Username);
            $this->setTemplate('header');
            $this->Render();
    }

    function footer()
    {
            $this->setTemplate('footer');
            $this->Render();
    }
    
    function left()
    {
            $active = RequestAll('active');
            include("leftmenu/$active.menu");
            $this->assignVal('MainLinks',$MainLinksArray);
            $this->assignVal('ChildLinks',$ChildLinksArray);
            $this->setTemplate('leftwebsite');
            $this->Render();
    }
	
	
	/////////////////User started///////////////////
		function adduser(){		
		if(RequestForm("submit") != ''){
			$uname  = RequestForm("uname");
			$pass1  = RequestForm("pass");
			$pass2  = RequestForm("passc");
			$email  = RequestForm("email");
			$country  = RequestForm("country");
			$phone_brand =	RequestForm("phone_brand");
			$year =	RequestForm("year");
			$month =	RequestForm("month");
			$day =	RequestForm("day");
			
			$birth_date = $year."-".$month."-".$day;
			$gender  = RequestForm("gender");              

            //Do The ValidaTion
            $validator = new Validator();
            $result = $validator->is_filled_in(MSG_FORM_USERNAME,$uname);
            $result = $validator->is_filled_in(MSG_FORM_PASSWORD,$pass1);
            $result = $validator->is_filled_in(MSG_FORM_PASSCONF,$pass2);
			$result = $validator->is_filled_in(MSG_FORM_EMAIL,$email);
                   

            if($pass1!="" && $pass2!="")
            {
                    $result= $validator->is_value('Password & Retype Password',$pass1,$pass2);
                    //$result= $validator->is_strong_password(MSG_FORM_PASSWORD,$Pass1);
            }
            $password = $this->MD5($pass1);

            $result = $validator->is_email(MSG_FORM_EMAIL,$email);

        


            //Generate Error
            //Takes 3 parameters 1)error array 2)Smarty variable where error will be assigned
            //3)wheather to generate all error list or a single one
            if(count($validator->_errors)>=1 )
            {
                    $this->genError($validator->_errors,'err',1);

                    //$this->register();
            }

            
            else
            {
                $mailfrom =$this->Settings->AdminEmail;
				$sitename=$this->Settings->SiteName;
				//echo $mailfrom;
				//echo '<br />'.$email;
                $Mail =& new RSMail();
                            $Mail->ToName = $uname;
                            $Mail->ToAddress = $email;
                            $Mail->FromName = $sitename;
                            $Mail->FromAddress = $mailfrom;
                            $Mail->Subject = MSG_REGISTRATION_SUBJ;
							
							$body='Hello, Here are Your details: \nUsername: '.$uname .' Password:'.$pass1;
                            $body.='\n Here is your email verification link "'.SCRIPT_URL.'/index.php?module=authorisation&action=verify&vr='.$uname.'"verify your account';
                            
							$Mail->Body =$body;
                            $Mail->Priority = 1;
									$duplicate=sprintf(SQL_DUPLICATE,$uname,$email);
                                       $rs=$this->Conn->dataExists($duplicate);

                                       if($rs)
                                        {
											$this->assignVal('duplicate','Duplicate username or Email Address');

											

                                        }
                                       else
                                       {									   
									        $join=mktime();
											$rs=sprintf(SQL_INSERT_USER,$uname,$gender,$email,$birth_date,$country,$password,$phone_brand,$join);
											$this->Conn->Execute($rs);
											$uid=$this->Conn->getInsertID();
											if($uid > 0){
												$mod_num=$this->Conn->ExecuteSingle(SQL_COUNT_MODULE);
												for($i=2;$i<=$mod_num;$i++)
									            {
												$sql=sprintf(SQL_PERMISION,$uid,$i);
								                $this->Conn->Execute($sql); 
								                }
												//if ($Mail->SendMail())
												//{
					                             //unset($Mail);                          
                                       
												//}
                          
												$msg = 'Successfully Registered to Site.<br /><br />';												
												$this->assignVal('msg',$msg);
												
												
											}else{
												
												$this->assignVal('country',General::country_box($country));
												$this->assignVal('state',General:: state_box($state));
												
																			
												$this->assignVal('year',General:: year_box($year));
												$this->assignVal('month',General:: month_box($month));
												$this->assignVal('day',General:: day_box($day));
												$this->assignVal('gender',General:: gender_box($gender));
												$phone_brand=$this->Conn->Query(SQL_GET_HANDSET);
												$this->assignVal('phone_brand',$phone_brand);
												
												
												$msg='Sorry ! Failed to Register to Site.Try again.';
												
												$this->assignVal('msg',$msg);
												
												$this->Template->smarty->register_block('trans1',array($this,in_get_fri_num_all),false);
		                                        //$this->getModuleHeader('home');
		                                        $this->setTemplate('signup');
		                                        //$this->getModuleFooter('home');
		                                        $this->Render();
											
											}

                                       }
                           
            }
            }
			$this->assignVal('country',General::country_box($country));
			$this->assignVal('state',General:: state_box($state));
												
																			
			$this->assignVal('year',General:: year_box($year));
			$this->assignVal('month',General:: month_box($month));
			$this->assignVal('day',General:: day_box($day));
			$this->assignVal('gender',General:: gender_box($gender));
			$phone_brand=$this->Conn->Query(SQL_GET_HANDSET);
			$this->assignVal('phone_brand',$phone_brand);
			
												
			$this->Template->smarty->register_block('trans1',array($this,in_get_fri_num_all),false);
		   //$this->getModuleHeader('home');
		    $this->setTemplate('signup');
		    //$this->getModuleFooter('home');
		    $this->Render();
											
											
			
			

    }	
	//show user
	function showuser(){
        $curr_page = (RequestAll('page')<=0)?1:RequestAll('page');
		$msg=RequestALL('msg');
		$this->assignVal('msg',$msg);
        $per_page = 10;
        $start_form = ($curr_page-1)*$per_page;

        $SQL = SQL_ALL_USERS." limit $start_form, $per_page";
				
        $rs = $this->Conn->Query($SQL);
       
        $this->assignVal('user',$rs);

        //NOW MAKE THE PAGINATION
        $total_users = $this->Conn->ExecuteSingle(SQL_TOTAL_USERS);
        $this->assignVal('total_users',$total_users);
        $total_page = ceil($total_users/$per_page);
        $this->assignVal('total_page',$total_page);
        $this->assignVal('curr_page',$curr_page);

        //GENERATE NEXT PREV LINKS
        if($curr_page<$total_page)
                $this->assignVal('next_page',$curr_page+1);
        if($curr_page>1)
                $this->assignVal('prev_page',$curr_page-1);

        $this->setTemplate('user');
        $this->Render();
    }
	
	function del_user(){
		$id = RequestAll('id');		
        if($id>0)
        {
                $SQL = sprintf(SQL_DEL_USER,$id);
                $this->Conn->Execute($SQL);
                setRsRedirect('index.php?module=admin&action=showuser&s=1');
                exit;
        }
	}
	function verify_user(){
		$id = RequestAll('id');		
        if($id>0)
        {
                $SQL = sprintf(SQL_VIRIFY_USER,$id);
                $this->Conn->Execute($SQL);
                setRsRedirect('index.php?module=admin&action=showuser&v=1');
                exit;
        }
	}
	function edit_user(){
        $uid = RequestAll('id');
		
        if($uid>0)
        {
        if(RequestForm("submit") != ''){
			$uid  = RequestForm("id");
			$uname  = RequestForm("uname");
			$email  = RequestForm("email");
			$country  = RequestForm("country");
			$year =	RequestForm("year");
			$month =	RequestForm("month");
			$day =	RequestForm("day");
			$birth_date = $year."-".$month."-".$day;
			$gender  = RequestForm("gender");                 
			$phone_brand  = RequestForm("phone_brand");                 

            //Do The ValidaTion
            $validator = new Validator();
 
           
	            //Takes 3 parameters 1)error array 2)Smarty variable where error will be assigned
	            //3)wheather to generate all error list or a single one
	            if(count($validator->_errors)>=1 )
	            {
	             $this->genError($validator->_errors,'err',1);
	            }           
	            else
	            {
				$rs=sprintf(SQL_EDIT_USER,$uname,$gender,$email,$birth_date,$country,$password,$phone_brand,$uid);
				$this->Conn->Execute($rs);
				$affect=$this->Conn->getAffectedRows();				
				if($affect > 0){		
					$msg = 'Successfully Updated.<br /><br />';												
				    setRsRedirect('index.php?module=admin&action=showuser&msg=Successfully Updated');
					}else{
					$msg = "User Information doesn't Updated.<br /><br />";																				
				
					}
				}
		
        
			}else{
				$SQL=sprintf(SQL_USER_INFO,$uid);
				$user=$this->Conn->QuerySingle($SQL);
				$country=$user['Country'];
				$user_gender=$user['gender'];
				$d=explode('-',$user['birth_date']);
				$year=$d['0'];
				$month=$d['1'];
				$day=$d['2'];
				$user_phone_brand=$user['phone_brand'];
				$user_email=$user['EmailAddress'];
				$phone_brand=$this->Conn->Query(SQL_GET_HANDSET);
				$this->assignVal('phone_brand',$phone_brand);
				$this->assignVal('user_phone_brand',$user_phone_brand);
				$this->assignVal('user_gender',$user_gender);
				$this->assignVal('user_email',$user_email);
			}
			$this->assignVal('name',$user['Username']);
			$this->assignVal('msg',$msg);
			$this->assignVal('uid',$uid);
			$this->assignVal('user_country',$user['Country']);
			$this->assignVal('country',General::country_box($country));
			$this->assignVal('year',General:: year_box($year));
			$this->assignVal('month',General:: month_box($month));
			$this->assignVal('day',General:: day_box($day));
			$this->assignVal('gender',General:: gender_box($gender));
								
			$this->Template->smarty->register_block('trans1',array($this,in_get_fri_num_all),false);
		    $this->setTemplate('EditUser');
		    $this->Render();
		}else
			{
            setRsRedirect('index.php?module=admin&action=showuser');
            exit;
			}
}
	
    function show_mail()
    {
        $this->setTemplate('mail');
        $this->Render();
    }
    
    function send_mail()
    {
        $subject = RequestForm('msub');
        $body = RequestForm('mbody');
        $mailfrom =$this->Settings->AdminEmail;
        $rs = $this->Conn->Query(SQL_ALL_USERS);
        foreach($rs as $rss)
        {
                $email = $rss['EmailAddress'];
                $mailer = new RSMail();
                $mailer->FromAddress = $mailfrom;
                $mailer->Subject = $subject;
                $mailer->Priority = 1;
                $mailer->ToName = $rss['Username'];
                $mailer->ToAddress = $email;
                $mailer->Body = $body;
                @$mailer->sendMail();
                unset($mailer);
        }
        $this->assignVal('msg','Mail Sent Successfully');
        $this->show_mail();
    }
    
	///////////////End of Users/////////////////
	
	
	
	//////////////Admin Settings started
    function Settings()
        {
                $admin = $this->Conn->QuerySingle(SQL_ADMIN_USERS);
                $this->assignVal('admin',$admin);
                $config = $this->Conn->Query(SQL_GET_SETTINGS);
                $s = array();
                foreach($config as $con)
                {
                        $s[$con[soption]] = $con[svalue];
                }
                $this->assignVal('config',$s);

                $this->setTemplate('settings');
                $this->Render();
        }
        
   function update_settings()
        {
            if(RequestForm("submit") != '')
             {
			
                $uid = $this->Session->getValue('userid');

                $info = RequestForm('info');
                $curpass = RequestForm("curpass");
                $pass = RequestForm("pass");
                $pass1 = RequestForm("npass");
                $pass2=  RequestForm("cpass");

                $validator = new Validator();
                $result = $validator->is_filled_in('Current Password',$curpass);
                $result = $validator->is_filled_in('New Password',$pass1);
                $result = $validator->is_filled_in('Confirm Password',$pass2);

                if($pass1!="" && $pass2!="")
                    {
                    $result= $validator->is_value('Password & Confirm Password',$pass1,$pass2);

                    }
                    $password = $this->MD5($pass1);
                    $curpassword = $this->MD5($curpass);

                if($pass!="" && $curpassword!="")
                    {
                    $result= $validator->is_value('Curremt Password',$pass,$curpassword);

                    }


                    //Generate Error
                    //Takes 3 parameters 1)error array 2)Smarty variable where error will be assigned
                    //3)wheather to generate all error list or a single one
                    if(count($validator->_errors)>=1 )
                    {
                    $this->genError($validator->_errors,'err',1);
                    $this->Settings();
                    }

                    else
                        {
                   
                           $rs=sprintf(SQL_UPDATE_ADMIN,$password,$uid,$info['admin_email'],$info['admin_username']);
                           $this->Conn->Execute($rs);

                            while(list($k,$v)=each($info))
                                  {
                                        $SQL= sprintf(SQL_SETTINGS_UPDATE,$v,$k);
                                        $this->Conn->Execute($SQL);
                                  }
                        $this->assignVal('msg','Updated Successfully');
                        $this->Settings();
                        }
              }
     
  }

    function adv_settings()
        {
                $config = $this->Conn->Query(SQL_GET_ADDSETTINGS);
                $this->assignVal('config',$config);
                $this->setTemplate('add');
                $this->Render();
        }

function updateadd_settings()
        {
                
				$info = RequestForm('info');
                while(list($k,$v)=each($info))
                {
                        $SQL= sprintf(SQL_ADD_UPDATE,$v,$k);
                        $this->Conn->Execute($SQL);
                }
                $this->assignVal('msg','yes');
                $this->adv_settings();
        } 
	
	
	////////////////End of admin Settings//////////////
	
	
	/////////Video/////////////
	  function allvideo()
    {
    if(isset($_POST['submit'])){
    if($_POST['submit']=="Add Video")
        {
		$uid = $this->Session->getValue('userid');
        $ran=date(time());
        $random_number=$ran.rand(1,1000);
        $title=$_POST['title'];
        $category=$_POST['category'];
        $date=date('Y-m-d');
		$video_size = $_FILES['video']['size'];
		$myupload = new UPLOAD();
		$upload_dir = RS_SYSTEM_PATH."videos";
		$upload_screenshot=$myupload->upload_file($upload_dir,'photo',$random_number,false,true,'jpg');
		if($upload_screenshot) 
					  {
					      $phpThumb = new phpThumb();
				          $ff =  RS_SYSTEM_PATH."videos/".$upload_screenshot;
				          //$fsize=str_replace('\\','/',$ff3);
				          $phpThumb->setSourceFilename($ff);
				          $phpThumb->setParameter('w', '150');
				          $output_filename = RS_SYSTEM_PATH."videos/".$upload_screenshot;

				         // this line is VERY important, do not remove it!
				         if ($phpThumb->GenerateThumbnail())
				           {
						        $phpThumb->RenderToFile($output_filename);
				           }
				      }
					//echo $upload_screenshot; exit;
        		
		$myupload = new UPLOAD();
		$upload=$myupload->upload_file($upload_dir,'video',$random_number,false,30408704,'3gp');
		if($upload == true)
		{
		$sql=sprintf(SQL_ADDVIDEO,$random_number,$title,$category,$video_size,$uid,$upload_screenshot,$date);
		$this->Conn->Execute($sql);
		$this->assignVal('msg','File Uploaded Successfully');
		}
		else
		{
		$this->uploadvideo('File upload fail. Try again.');exit;
		}
		}
        if($_POST['submit']=="EDIT"){
        
		$uid = $this->Session->getValue('userid');
        $sql=sprintf(SQL_SELECTVIDEO,$_POST['id']);
        $data=$this->Conn->QuerySingle($sql);
        $random_number=$data['random_number'];
        $gpsize=$data['3gp_size'];
        $title=$_POST['title'];
        $category=$_POST['category'];
        //echo $random_number;
      /*   //jpg
        if(isset($_FILES['video']['tmp_name']['0']) && is_uploaded_file($_FILES['video']['tmp_name']['0']))
        {
            $ff =  RS_SYSTEM_PATH."/videos/".$random_number.".jpg";
            move_uploaded_file($_FILES['video']['tmp_name']['0'], $ff );
        }
        //flv
        if(isset($_FILES['video']['tmp_name']['1']) && is_uploaded_file($_FILES['video']['tmp_name']['1']))
        {
            $ff =  RS_SYSTEM_PATH."/videos/".$random_number.".flv";
            move_uploaded_file($_FILES['video']['tmp_name']['1'], $ff );
        } */
        //3gp
       
	 if(($_FILES['video']['name'])!= '')
		{
		$gpsize=$_FILES['video']['size'];
		$p=$_FILES['video']['name'];
		$pos=strrpos($p,".");
        $ph=strtolower(substr($p,$pos+1,strlen($p)-$pos));
              if(!($ph=="3gp"))
				{
				$this->uploadvideo($_POST['id'],'Upload fail.Only .3gp Format are allowed');exit;
                        //$err="Invalid File Format.";
			   	//setRsredirect(ScriptUrl.'/upload_error');
				}	
		$myupload = new UPLOAD();
		$upload_dir = RS_SYSTEM_PATH."videos";
		$upload=$myupload->upload_file($upload_dir,'video',$random_number,true,30408704,'3gp');
         }
		$sql=sprintf(SQL_EDITVIDEO,$title,$category,$gpsize,$uid,$_POST['id']);
        $this->Conn->Execute($sql);
		if($sql)
		$this->assignVal('msg','Updated successfully');
        }
    }

    //delvideo
    if(isset($_GET['del_id']))
    {
    $video_id = $_GET['del_id'];
    $videosql = sprintf(SQL_SELECTVIDEO,$video_id);
    $datavideo = $this->Conn->QuerySingle($videosql);
    $randomnumber = $datavideo['random_number'];
    //echo $randomnumber;exit;
    
    if(file_exists("videos/".$randomnumber.".jpg"))
    unlink("videos/".$randomnumber.".jpg");
    
    if(file_exists("videos/".$randomnumber.".flv"))
    unlink(RS_SYSTEM_PATH."/videos/".$randomnumber.".flv");
    
    //if(file_exists("videos/".$randomnumber.".3gp"))
    @unlink(RS_SYSTEM_PATH."/videos/".$randomnumber.".3gp");
    
    if(file_exists("videos/".$randomnumber.".mp4"))
    unlink("videos/".$randomnumber.".mp4");
    
    $sql=sprintf(SQL_DELVIDEO,$_GET['del_id']);
    $this->Conn->Execute($sql);
    }

    $sql=sprintf(SQL_ALLVIDEO);
    $allvideo=$this->Conn->Query($sql);
    $this->assignVal('allvideo',$allvideo);
    
    $this->setTemplate('allvideo');
    $this->Render();    
    }

    function uploadvideo($id,$err)
    {
	$this->assignVal('err',$err);
    $sql=sprintf(SQL_ALLMCATEGORY);
    $category=$this->Conn->Query($sql);
    $this->assignVal('category',$category);
    if(isset($_GET['edit_id'])|| $id != '')
    {
	if($_GET['edit_id'])
	$sql=sprintf(SQL_SELECTVIDEO,$_GET['edit_id']);
	else
    {
	$sql=sprintf(SQL_SELECTVIDEO,$id);}
    $video=$this->Conn->QuerySingle($sql);
    $this->assignVal('video',$video);
    }
    
    $this->setTemplate('uploadvideo');
    $this->Render();
    }
////////////////End of Video////////////

//////////////Ringtone//////////
 function addringorder()
        {
        if(isset($_GET['id']))
        {
        $sql=sprintf(SQL_SELECTTONEORDER,$_GET['id']);
        $toneorder=$this->Conn->QuerySingle($sql);
        $this->assignVal('toneorder',$toneorder);
        }
        $this->setTemplate('addringorder');
        $this->Render();
        }

    function ringorder(){
    //adding or editing
    if(isset($_POST['submit']))
    {
    if($_POST['submit']=='EDIT')
    $sql=sprintf(SQL_EDITTONEORDER,$_POST['title'],$_POST['query'],$_POST['id']);
    else
    $sql=sprintf(SQL_ADDTONEORDER,$_POST['title'],$_POST['query']);
    $this->Conn->Execute($sql);
    }
    //deleting
    if(isset($_GET['id']))
    {
    $sql=sprintf(SQL_DELTONEORDER,$_GET['id']);
    $this->Conn->Execute($sql);
    }

    $sql=sprintf(SQL_ALLTONEORDER);
    $toneordering=$this->Conn->Query($sql);
    $this->assignVal('toneordering',$toneordering);
    
    $this->setTemplate('ringorder');
    $this->Render();
    }
  function addmcategory()
        {
        if(isset($_GET['id']))
        {
        $sql=sprintf(SQL_SELECTMCATEGORY,$_GET['id']);
        $category=$this->Conn->QuerySingle($sql);
        $this->assignVal('category',$category);
        }
        $this->setTemplate('addmcategory');
        $this->Render();
        }

    function mcategory(){
    //adding or editing
    if(isset($_POST['submit']))
    {
    if($_POST['submit']=='EDIT')
    $sql=sprintf(SQL_EDITMCATEGORY,$_POST['name'],$_POST['id']);
    else
    $sql=sprintf(SQL_ADDMCATEGORY,$_POST['name']);
    $this->Conn->Execute($sql);
    }
    //deleting
    if(isset($_GET['id']))
    {
    $sql=sprintf(SQL_DELMCATEGORY,$_GET['id']);
    $this->Conn->Execute($sql);
    }

    $sql=sprintf(SQL_ALLMCATEGORY);
    $category=$this->Conn->Query($sql);
    $this->assignVal('category',$category);
    
    $this->setTemplate('mcategory');
    $this->Render();
    }

    function edittone(){
    
        if(isset($_POST['tone_id']))
        {
        $tone_id=$_POST['tone_id'];
        $editsql=sprintf(SQL_EDITTONE,$_POST['title'],$_POST['type'],$_POST['category'],$_POST['tone_id']);
        $this->Conn->Execute($editsql);
        }
        
        if(isset($_GET['edit_id']))
        $tone_id=$_GET['edit_id'];
        
        $tonesql=sprintf(SQL_SELECTTONEA,$tone_id);
        $toneresult=$this->Conn->QuerySingle($tonesql);
        
        $sql=sprintf(SQL_ALLCATEGORY);
        $category=$this->Conn->Query($sql);
        $this->assignVal('category',$category);
        
        $sql=sprintf(SQL_ALLTYPE);
        $type=$this->Conn->Query($sql);
        $this->assignVal('type',$type);
        
        $this->assignVal('toneresult',$toneresult);
        $this->setTemplate('edittone');
        $this->Render();
    }
	function add_tone($err)
	{
	    $sql=sprintf(SQL_ALLCATEGORY);
        $category=$this->Conn->Query($sql);
        $this->assignVal('category',$category);
		
        $this->assignVal('err',$err);
        
        $sql=sprintf(SQL_ALLTYPE);
        $type=$this->Conn->Query($sql);
        $this->assignVal('type',$type);
        
        $this->setTemplate('add_tone');
        $this->Render();
	}
    
    function alltone($msg){
		$curr_page = (RequestAll('page')<=0)?1:RequestAll('page');
        $per_page = 5;
        $start_form = ($curr_page-1)*$per_page;
		$this->assignVal('msg',$msg);
        if(isset($_GET['del_id']))
        {
        $tone_id = $_GET['del_id'];
        $tonesql=sprintf(SQL_SELECTTONE,$tone_id);
        $tonefilename=$this->Conn->ExecuteSingle($tonesql);
        //echo $tonefilename,$tonesql;exit;
      // echo RS_SYSTEM_PATH."tones/".$tonefilename; exit;
        @unlink(RS_SYSTEM_PATH."/tones/".$tonefilename);
        
        $delsql=sprintf(SQL_DELTONE,$tone_id);
        $this->Conn->Execute($delsql);
        }
        if(isset($_POST['submit']))
                {
                $name=$_POST['username'];
                $type=$_POST['type'];
                $category=$_POST['category'];
                
                if($name != "")
                $condition = " and Username like '%".$name."%'";
                
                if($type != '0')
                $condition .= " and type_id='".$type."'";
                
                if($category != '0')
                $condition .= " and category_id='".$category."'";
                //echo $condition;
                }
        
            $sql=sprintf(SQL_ALLCATEGORY);
            $category=$this->Conn->Query($sql);
            $this->assignVal('category',$category);
            
            $sql=sprintf(SQL_ALLTYPE);
            $type=$this->Conn->Query($sql);
            $this->assignVal('type',$type);
         
        $sql=sprintf(SQL_ALLTONE,$condition." limit $start_form, $per_page");
        $alltone=$this->Conn->Query($sql);
		$sql1=sprintf(SQL_ALLTONE,$condition);
		$st=$this->Conn->Query($sql1);
		$total_users = $this->Conn->numRows($st);
        $this->assignVal('alltone',$alltone);
		
		
        //NOW MAKE THE PAGINATION
       // $total_users = $this->Conn->ExecuteSingle(SQL_TOTAL_WALLPAPER);
        $this->assignVal('total_users',$total_users);
        //echo "<br>".
		$total_page = ceil($total_users/$per_page);
        $this->assignVal('total_page',$total_page);
        $this->assignVal('curr_page',$curr_page);
        if($curr_page<$total_page)
                $this->assignVal('next_page',$curr_page+1);
        if($curr_page>1)
                $this->assignVal('prev_page',$curr_page-1);
        $this->setTemplate('alltone');
        $this->Render();
    }
    
	function inserttone()
   {
        if(RequestForm("submit") != '')
         {
            $uid = $this->Session->getValue('userid');

                $title = RequestForm("title");
				$type = RequestForm("type"); 
				$category =  RequestForm("category"); 
				$tone_date = date('Y-m-d');
				
				//echo"$tone_date";
                
                $p=$_FILES['tone']['name'];
				$tone_size = $_FILES['tone']['size'];
				$ran=date(time());
				
                $pos=strrpos($p,".");
                $ph=strtolower(substr($p,$pos+1,strlen($p)-$pos));
                $im_size =  round($_FILES['tone']['size']/1024,2);
				$random_number=$ran.rand(1,1000);
                if(!($ph=="mp3"))
				{
				$this->add_tone('Ringtone is not inserted.Only Mp3 Format are allowed');exit;
                        //$err="Invalid File Format.";
			   	//setRsredirect(ScriptUrl.'/upload_error');
				}		

                if($err == '')
                {
                if($ph != '')
                            {
                                $ran=date(time());
                $c=$ran.rand(1,10000);
				$file_name=$ran.$c;
                $ran.=$c.".".$ph;
				}

                if(isset($_FILES['tone']['tmp_name']) && is_uploaded_file($_FILES['tone']['tmp_name']))
                {
                        //$ff =  RS_SYSTEM_PATH."/tones/".$ran;
                        //$ff2 = RS_SYSTEM_PATH."/tones/thumb_".$ran;
						
                        //move_uploaded_file($_FILES['photo']['tmp_name'], $ff,);
						 $myupload = new UPLOAD();
						 $upload_dir = RS_SYSTEM_PATH."tones";
						$upload=$myupload->upload_file($upload_dir,'tone',$file_name,false,8388608,'mp3');
						}
                if($ran != '')
                {
                   $up = "insert into vote_tone set  rt = '$ran' ,
							uid  = '$uid' , 
							title = '$title' ,
							type_id = '$type',
							category_id = '$category',
							tone_date = '$tone_date',
							tone_size='$tone_size'";
                  $this->Conn->execute($up);
				
                  $this->alltone('Ringtone added Successfully','');exit;

                }

                }
          }
   }
  

	
    function addringcategory()
        {
        if(isset($_GET['id']))
        {
        $sql=sprintf(SQL_SELECTCATEGORY,$_GET['id']);
        $category=$this->Conn->QuerySingle($sql);
        $this->assignVal('category',$category);
        }
        $this->setTemplate('addringcategory');
        $this->Render();
        }

    function ringcategory()
        {
        //adding or editing
        if(isset($_POST['submit']))
        {
        if($_POST['submit']=='EDIT')
        $sql=sprintf(SQL_EDITCATEGORY,$_POST['name'],$_POST['id']);
        else
        $sql=sprintf(SQL_ADDCATEGORY,$_POST['name']);
        $this->Conn->Execute($sql);
        }
        //deleting
        if(isset($_GET['id']))
        {
        $sql=sprintf(SQL_DELCATEGORY,$_GET['id']);
        $this->Conn->Execute($sql);
        }
        
        $sql=sprintf(SQL_ALLCATEGORY);
        $category=$this->Conn->Query($sql);
        $this->assignVal('category',$category);
        $this->setTemplate('ringcategory');
        $this->Render();
        }

    function addtonetype()
        {
        if(isset($_GET['id']))
        {
        $sql=sprintf(SQL_SELECTTYPE,$_GET['id']);
        $types=$this->Conn->QuerySingle($sql);
        $this->assignVal('types',$types);
        }
        $this->setTemplate('addringtype');
        $this->Render();
        }

    function ringtype()
        {
        //adding or editing
        if(isset($_POST['submit']))
        {
        if($_POST['submit']=='EDIT')
        $sql=sprintf(SQL_EDITTYPE,$_POST['name'],$_POST['id']);
        else
        $sql=sprintf(SQL_ADDTYPE,$_POST['name']);
        $this->Conn->Execute($sql);
        }
        //deleting
        if(isset($_GET['id']))
        {
        $sql=sprintf(SQL_DELTYPE,$_GET['id']);
        $this->Conn->Execute($sql);
        }
        
        $sql=sprintf(SQL_ALLTYPE);
        $types=$this->Conn->Query($sql);
        $this->assignVal('types',$types);
        $this->setTemplate('ringtype');
        $this->Render();
        }
			

//////////////End of Ringtone////////
    	

	
	///////////////for advertisement///////////
	
	function delete_banners()
	{
	$id=RequestALL('id');
    $sql=sprintf(SQL_DEL_BANNER,$id);
	$rs=$this->Conn->Execute($sql);
    $this->view_banners();   
	}
	function view_banners()
        {
        $sql=sprintf(SQL_SEL_BANN);        
		$rs=$this->Conn->Query($sql);
		$this->assignVal("ban",$rs);
		$this->setTemplate('banners');
        $this->Render();
		}
    
	function add_banners()
    { 
		
		if(RequestAll('submit') != '' )
        {  
			$position=RequestAll("position");
			$status=RequestAll("status");
			$title=RequestAll("title");
			$content=RequestAll("content");
			$sql=sprintf(SQL_INSERT_BANNER,$title,$position,$status,$content);
			$result=$this->Conn->Execute($sql);
			if($result)
			$this->Template->assignVal('msg','Banner added successfully');
			else
			$this->Template->assignVal('err','Failed, Try again');
		}
		$this->setTemplate('add_banners');
        $this->Render();
    }
	
	
	function edit_banners()
    { 
		if(RequestALL('submit')!='')
		{
			$id=RequestAll("id");
			$position=RequestAll("position");
			$status=RequestAll("status");
			$title=RequestAll("title");
			$content=RequestAll("content");
			$sql=sprintf(SQL_UPDATE_BANNER,$title,$position,$status,$content,$id);
			$result=$this->Conn->Execute($sql);	
			if($result)
			$this->Template->assignVal('msg','Banner updated successfully');
			else
			$this->Template->assignVal('err','Failed, Try again');
		}
		$id=RequestAll('id');
		$this->assignVal("id",$id);
		$sql=sprintf(SQL_SEL_EDTBANN,$id);
		$rs=$this->Conn->QuerySingle($sql);
		$this->assignVal("edtban",$rs);
		$this->setTemplate('edit_banners');
		$this->Render();
    }
	////////////////////End of advertisement/////////////////
	
	function body()
    {
            
    }
}
?>