<?php
include("leftmenu/headlinks.txt.php");
class mod_static extends Module
{

	function mod_static()
	{
		$this->adminModule 		= TRUE;
		$this->ModuleName       = 'static';
		$this->Public           = 1;
		$this->defaultAccess    = 'Public';
		$this->PrivateActions 	= Array();
		$this->PublicActions  	= Array('staticpages','addstaticpage','editstaticpages','staticpageaction');
		
		parent::Module();
	}

    function main()
	{
		$this->pagination = $this->loadobject('obj_pagination');		
		
		switch (RequestAll('action'))
		{
			case 'view_main' : $this->ViewMain(); break;
			case 'staticpages':			$this->staticpages(); break;
			case 'addstaticpage':		$this->addstaticpage(); break;
			case 'editstaticpages':		$this->editstaticpages(); break;
			case 'deletestaticpages':	$this->deletestaticpages(); break;
			case 'staticpageaction':	$this->staticpageaction(); break;
			
			default:					$this->staticpages();
		}
    }
	
	
	function staticpages()
	{						
		$order_by	 = RequestAll("order_by");
		$order_by_ad = RequestAll("order_by_ad");
		$search_for	 = RequestAll("search_for");
		$search_text = RequestAll("search_text");
		
		$this->assignVal("order_by",$order_by);
		$this->assignVal("order_by_ad",$order_by_ad);
		$this->assignVal("search_for",$search_for);
		$this->assignVal("search_text",$search_text);
		
		$sql_query_total = "SELECT COUNT(pag_id) ";
		$sql_query_result = "SELECT * ";
		$sql_query="FROM tblstatic WHERE pag_id >= 1";
		
		if( RequestForm('submit')!='' )
		{ 	
			if(!empty($search_text) && !empty($search_for))
			{
				switch($search_for)
				{
					case 'pag_id':
						settype($search_for,"integer");
						$sql_query.= " AND pag_id=".$search_text;
						break;
					case 'page_title':
						$sql_query.= " AND page_title LIKE '%".$search_text."%' ";
						break;
					case 'page_content':
						$sql_query.= " AND page_content LIKE '%".$search_text."%' ";
						break;
				}
			}
			
			switch($order_by)
			{
				case '':			$sql_query.= " ORDER BY added DESC ";			break;
				case 'page_title':	$sql_query.= " ORDER BY page_title ".$order_by_ad;	break;
				case 'pag_id':		$sql_query.= " ORDER BY pag_id ".$order_by_ad;	break;
			}
		}
		
		//$per_page=$this->Settings->ShowClubssInAdmin;
		$per_page=5;
		$pages = array();			
		$page = (RequestAll('page')<=0)?1:RequestAll('page');
		$search_string = "index.php?sub=static&action=staticpages";
		
		$total = $this->Conn->ExecuteSingle($sql_query_total.$sql_query);
		$pages = $this->pagination->makepagination($page,$total,$search_string,$per_page);
		$query = " LIMIT ".$pages['start'].",".$pages['items_per_page'];
		$results = $this->Conn->Query($sql_query_result.$sql_query.$query);
		
		$this->assignVal("spages",$results);
		$this->assignVal('pages',$pages);
		
		$this->setTemplate('staticpages');
        $this->Render();
	}   			
	
	
	function addstaticpage()
	{
		if(RequestForm('submit') != '')
		{			
			$page_url = RequestForm('page_url');
			
			$url = RequestForm('url');
			if($url == 1){
				$exturl = RequestForm('external_url');
				$external_url = 'http://'.$exturl;
				$page_title	= NULL;
				$content = NULL;
				$meta_keywords = NULL;			
				$description   = NULL;											
			}
			elseif($url == 0)
			{
				$page_title	= RequestForm('page_title');			
				$content = RequestForm('content');
				$meta_keywords = RequestForm('meta_keywords');			
				$description   = RequestForm('description');							
				$external_url = NULL;
			}
			
			$enable = RequestForm('enable');			
			$status = RequestForm('status');			
			
			$validator = new Validator();
			$result = $validator->is_filled_in('Page URL',$page_url);
			if($url == 1) $result = $validator->is_filled_in('Page External URL',$exturl); 
			if($url == 0){
				$result = $validator->is_filled_in('Page Title',$page_title);			
				$result = $validator->is_filled_in('Page Content',$content);
			}
			
			if(count($validator->_errors)>=1)
			{
			   $this->genError($validator->_errors,'err',1);
			   $this->assignVal('err','Any mandatory field can not be empty.');
			}
			else
			{
				if( $page_url == 'Contact Us' || $page_url == 'contact us' ){
					$this->assignVal('err',$page_url.' is a key word (change the page url).');
					$error = 1;					
				}
				else
				{
					$sql   = sprintf(SQL_CHECK_PAGE_TITLE,$page_url);
					$query = $this->Conn->DataExists($sql);
					if($query){
						$this->assignVal('err','Duplicate Page URL Name!');
						$error = 1;
					}
				}
				if( !$error )
				{
					$date = time();
					$sql = sprintf(SQL_INSERT_PAGES,$page_url,$page_title,$external_url,$enable,$content,$meta_keywords,$description,$status,$date);
					$this->Conn->Execute($sql);						
					
					setRsRedirect("index.php?sub=static&action=staticpages");
					exit;					
					//$this->assignVal('msg','Page Information successfully saved.');
				}
			}
		}
		
        $this->setTemplate('addstaticpage');		
        $this->Render();	
    }	
	
	
	function editstaticpages()
	{
		if(RequestForm('submit') != '')
		{			
			$pag_id = RequestForm('pag_id');		
			$page_url = RequestForm('page_url');
			
			$url = RequestForm('url');
			if($url == 1){
				$exturl = RequestForm('external_url');
				$external_url = 'http://'.$exturl;
				$page_title	= NULL;
				$content = NULL;
				$meta_keywords = NULL;			
				$description   = NULL;											
			}
			elseif($url == 0)
			{
				$page_title	= RequestForm('page_title');			
				$content = RequestForm('content');
				$meta_keywords = RequestForm('meta_keywords');			
				$description   = RequestForm('description');							
				$external_url = NULL;
			}
			
			$enable = RequestForm('enable');			
			$status = RequestForm('status');			
			
			$validator = new Validator();
			$result = $validator->is_filled_in('Page URL',$page_url);
			if($url == 1) $result = $validator->is_filled_in('Page External URL',$exturl); 
			if($url == 0){
				$result = $validator->is_filled_in('Page Title',$page_title);			
				$result = $validator->is_filled_in('Page Content',$content);
			}
			
			if(count($validator->_errors)>=1)
			{
			   $this->genError($validator->_errors,'err',1);
			   $this->assignVal('err','Any mandatory field can not be empty.');
			}
			else
			{
				if( $page_url == 'Contact Us' || $page_url == 'contact us' ){
					$this->assignVal('err',$page_url.' is a key word (change the page url).');
					$error = 1;					
				}				
				else
				{
					$sql 	= sprintf(SQL_CHECK_PAGE_TITLE_EXCEPT_THIS,$page_url);
					$query	= $this->Conn->ExecuteSingle($sql);	 
					if($query == $pag_id) $query = ''; 
					if($query){
						$this->assignVal('err','Duplicate URL Name.');
						$error = 1;
					}
				}
				if( !$error )
				{	
					$sql = sprintf(SQL_UPDATE_PAGES,$page_url,$page_title,$external_url,$enable,$content,$meta_keywords,$description,$status,$pag_id);
					$this->Conn->Execute($sql);						
					
					$this->assignVal('msg','Page Information successfully updated.');
				}
			}
		}
		
		$pag_id = RequestAll('pag_id');		
        $sql 	= sprintf(SQL_SELECTSINGLE_PAGE,$pag_id);
        $info	= $this->Conn->QuerySingle($sql);
		$info['external_url'] = str_replace('http://','',$info['external_url']);
		$this->assignVal('info',$info);
		
        $this->setTemplate('editstaticpages');		
        $this->Render();	
    }	
	
	
	function staticpageaction()
	{			
		if( RequestForm('submit') == 'Go' )
		{
			if( RequestForm('page_action') == 3 )
			{
				$pag_id = RequestForm('checksingle');
				
				if( $pag_id )
				{
					while(list( ,$v) = each($pag_id))
					{
						$sql = sprintf(SQL_DELETE_PAGES,$v);	
						$this->Conn->Execute($sql);
					}		
					$this->assignVal('msg','Page Information Successfully Deleted.');
				}
				else
					$this->assignVal('err','You selected nothing to delete.' );	
			}
			
			if( RequestForm('page_action') == 2 )
			{
				$pag_id = RequestForm('checksingle');
				
				if( $pag_id )
				{
					while(list( ,$v) = each($pag_id))
					{
						$sql = sprintf(SQL_UPDATE_DISAPPROVE,$v);	
						$this->Conn->Execute($sql);
					}		
					$this->assignVal('msg','Disapproved successfully.');
				}
				else
					$this->assignVal('err','You selected nothing to disapprove.' );	
			}
			
			if( RequestForm('page_action') == 1 )
			{
				$pag_id = RequestForm('checksingle');
				
				if( $pag_id )
				{
					while(list( ,$v) = each($pag_id))
					{
						$sql = sprintf(SQL_UPDATE_APPROVE,$v);	
						$this->Conn->Execute($sql);
					}		
					$this->assignVal('msg','Approved successfully.');
				}
				else
					$this->assignVal('err','You selected nothing to approve.' );	
			}
			if( RequestForm('page_action') == 0 )
				$this->assignVal('err','Wrong operation.' );			
		}
		
		$this->staticpages();
	}	
	
	function ViewMain()
    {
	 
          global $defautActions;
            $this->assignVal('DefaultActions',$defautActions);
            $this->assignVal('active',RequestAll('active'));
            $this->setTemplate('main');
            $this->Render(); 
	
    }
	function deletestaticpages()
	{	
		$pag_id = RequestAll('pag_id');
		if( $pag_id )
		{
			$sql = sprintf(SQL_DELETE_PAGES,$pag_id);	
			$this->Conn->Execute($sql);
			$this->assignVal('msg','Page Information Successfully Deleted.');
		}
		
		$this->staticpages();
	}
	
	
}
?>
