<?php
define('NewLine',               substr(PHP_OS, 0, 3) == "WIN"  ? "\r\n" : "\n");
define('RS_SYSTEM_PATH',        str_replace('loadfiles.php', '', __FILE__));
define('PHP41',                 function_exists('version_compare'));
define('DEBUG_MODE',0);

//Define Thumbnail Size
define(THUMB_SMALL, 'small');
define(THUMB_MAIN, 'thumbs');
define(THUMB_TEMP, 'cache');

//Various Paths
define('RS_THEME_PATH',         RS_SYSTEM_PATH.'themes/');
define('RS_LANGUAGE_PATH',      RS_THEME_PATH.'%s/languages/');

define('RS_MODULE_PATH',        RS_SYSTEM_PATH.'modules/%s/');
define('RS_MODULE_TEMPLATES',   RS_THEME_PATH.'%s/templates/%s/');
define('RS_MODULE_CONFIG',      RS_MODULE_PATH.'config/');
define('RS_THEME_C',            RS_SYSTEM_PATH.'templates_c/%s/');
define('RS_TEMPLATES_C',        RS_SYSTEM_PATH.'templates_c/%s/%s/');
define('RS_TEMPLATES_CACHE',    RS_SYSTEM_PATH.'cache/');
define('RS_OBJECT_PATH',        RS_SYSTEM_PATH.'objects/');

//3rd Party Modules
define('RS_SMARTY_PATH',        RS_SYSTEM_PATH.'3rdparty/smarty/');
define('RS_ADODB_PATH',         RS_SYSTEM_PATH.'3rdparty/adodb/');
define('RS_HTML_EDITOR_PATH',   RS_SYSTEM_PATH.'3rdparty/htmleditor/');

define('RS_DEFAULT_LANGUAGE',   'en');
define('RS_ERROR_MODULE',       'error');
define('RS_AUTH_MODULE',        'authorisation');
define('RS_DEFAULT_MODULE',     'home');
define('RS_DEFAULT_THEME',      'default');

define('RS_MODULE_SQL',         'sql.php');
define('RS_MODULE_ERRORS',      'lang_err_%s'.'.php');
define('RS_MODULE_LANGUAGE',    '%s/%s'.'.php');

//Define Admin Module Name
define('RS_ADMIN_MODULE',       'admin');

//INCLUDE THE GLOBAL COOKIE (i.e language etc.)
include_once(RS_ADODB_PATH."adodb.inc.php");
include_once(RS_SMARTY_PATH."Smarty.class.php");
include_once(RS_SYSTEM_PATH."globalvars.php");
include_once(RS_SYSTEM_PATH."setglobal.php");

//SET DEFAULT SESSION TIMEOUT in MINUTES
define('RS_SESSTION_TIMEOUT', 30);

//GET THE CURRENT LANGUAGE
define('SYS_LANGUAGE',RequestCookie('userLanguage'));


//Include the Classes
include_once(RS_SYSTEM_PATH."sql.php");
include_once(RS_SYSTEM_PATH."3rdparty/classes.php");
include_once(RS_SYSTEM_PATH."configure.php");
include_once(RS_SYSTEM_PATH."3rdparty/phpThumb/phpthumb.class.php");
include_once(RS_SYSTEM_PATH."starter.php");
?>