<?php
class obj_pagination
{
var $Template;
var $User;
var $Session;
var $Conn;
var $Settings;

function obj_pagination($template,$session,$conn,$user,$settings)
{
    $this->Template = $template;
    $this->User = $user;
    $this->Session = $session;
    $this->Conn = $conn;
    $this->Settings = $settings;
}
function handle_multipages($page,$total,$link,$items_per_page=0,$pagevar="p"){
	
        if(!$items_per_page)
                $items_per_page = 6;

        $pages["items_per_page"] = $items_per_page;

        if(empty($page)){
                $page = 0;
        }//if

        $pages["start"] = $page*$items_per_page;
        $pages["end"]   = $pages["start"] + $items_per_page;
        if($pages["end"] > $total){
                $pages["end"] = $total;
        }//if

        if($total%$items_per_page == 0){
                $total_pages = $total/$items_per_page - 1;
                if($total_pages < 0){
                        $total_pages = 0;
                }//if
        }//if
        else{
                $total_pages = (int)($total/$items_per_page);
        }//else
		
        if($page > 0){
                if(!eregi("\|$pagevar\|",$link))
                $pages["prev"] = $link."&".$pagevar."=".($page-1);
                else
                $pages["prev"] = str_replace("|$pagevar|",(string)($page-1),$link);
        }//if

        if($total_pages > 0){
		$pages["first"] = $link."&".$pagevar."=0";
		$pages["last"] = $link."&".$pagevar."=".($total_pages);
		$pages["total"] = $total_pages+1;
                if($total_pages > 8){
                        $start = $page - 8;
                        if($start < 0)
                                $start = 0;
                        $end = $start + 8;
                        if($end > $total_pages){
                                $end = $total_pages;
                                $start = $end - 8;
                        }//if
                }//if
                else{
                        $start = 0;
                        $end = $total_pages;
                }//else
                for($i=$start;$i<=$end;$i++){
                        if(!eregi("\|$pagevar\|",$link))
                        $pages["numbers"][$i+1] = $link."&".$pagevar."=".$i;
                        else
                        $pages["numbers"][$i+1] = str_replace("|$pagevar|",(string)$i,$link);
                }//for
        }//if

        if($page < $total_pages){
                if(!eregi("\|$pagevar\|",$link))
                $pages["next"] = $link."&".$pagevar."=".($page+1);
                else
                $pages["next"] = str_replace("|$pagevar|",(string)($page+1),$link);
        }//if

        $pages["current"] = $page+1;
		
        return $pages;
}

	function makepagination($page,$total,$link,$items_per_page=0,$pagevar="page")
	{	
		if(!$items_per_page)
			$items_per_page = 6;
				
		$pages["items_per_page"] = $items_per_page;
		
		$pages["start"] = ($page-1)*$items_per_page;
		$pages["end"]   = $pages["start"] + $items_per_page;
		if($pages["end"] > $total){
				$pages["end"] = $total;
		}//if
		
		$total_pages = ceil($total/$items_per_page);
		
		if($page > 1){
				if(!eregi("\|$pagevar\|",$link))
				$pages["prev"] = $link."&".$pagevar."=".($page-1);
				else
				$pages["prev"] = str_replace("|$pagevar|",(string)($page-1),$link);
		}//if

		if($total_pages > 1){
		$pages["first"] = $link."&".$pagevar."=1";
		$pages["last"] = $link."&".$pagevar."=".($total_pages);
		$pages["total"] = $total_pages;
				if($total_pages > 9){
						$start = $page - 9;
						if($start < 1)
								$start = 1;
						$end = $start + 9;
						if($end > $total_pages){
								$end = $total_pages;
								$start = $end - 9;
						}//if
				}//if
				else{
						$start = 1;
						$end = $total_pages;
				}//else
				for($i=$start;$i<=$end;$i++){
						if(!eregi("\|$pagevar\|",$link))
						$pages["numbers"][$i] = $link."&".$pagevar."=".$i;
						else
						$pages["numbers"][$i] = str_replace("|$pagevar|",(string)$i,$link);
				}//for
		}//if

		if($page < $total_pages)
		{
			if(!eregi("\|$pagevar\|",$link))
			$pages["next"] = $link."&".$pagevar."=".($page+1);
			else
			$pages["next"] = str_replace("|$pagevar|",(string)($page+1),$link);
		}
		
		$pages["current"] = $page;		
		return $pages;
	}

}
?>
