<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>{$title} {$general_settings.title_suffix}</title>    
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
{$meta}
    
    <link rel="stylesheet" type="text/css" href="{$theme}/css/style.css" />
    <link rel="stylesheet" type="text/css" href="{$theme}/css/rating.css" />
    <script language="JavaScript" type="text/javascript" src="{$ScriptUrl}/javascript/prototype.js"></script>
    <script language="JavaScript" type="text/javascript" src="{$ScriptUrl}/javascript/script.js"></script>
    <script src="{$ScriptUrl}/javascript/scriptaculous.js" type="text/javascript"></script>
    
</head>

<body>
        <div id="content">
            <div id="maincontent">
                <div id="header">
                    <div class="header_left">
                        <div class="language_content">
                            <div class="bg_color">
                                <div class="language_txt">{$MSG_BANER_LANGUAGE}</div>
                                <div class="select_box">
                                    <select name="lang" onchange="javascript:change_lang(this.value);">
                                        <option value="en" {if $smarty.cookies.userLanguage eq 'en'}selected='selected'{/if}>English</option>
                                        <option value="fr" {if $smarty.cookies.userLanguage eq 'fr'}selected='selected'{/if}>French</option>
                                        <option value="bn" {if $smarty.cookies.userLanguage eq 'bn'}selected='selected'{/if}>Bangla</option>
                                    </select>
                                </div>
                            </div>    
                        </div>
                        <div class="company_name">{$MSG_COMPANY}</div>
                    </div>
                    <div class="header_mid"></div>
                    <div class="header_right">
                        <div class="header_right_content">
                        {if $userid eq ''}
                            <form name="myform" action="{$ScriptUrl}/login.php" method="post">
                            <div class="header_right1">                                
                                <input type="hidden" name="module" value="authorisation"/>
                                <input type="hidden" name="action" value="login"/>
                                <input type="hidden" name="redirect" value="{$REDIRECT}"/>
                                <input type="hidden" name="rd" value="{$rd}"/>
                                <div class="user_name" style="width:51px;">{$MSG_FORM_USERNAME_HEAD}</div>
                                <div class="user_name_txtbox"><input type="text" class="box_control" style="width:150px;" name="uname" value="{$smarty.cookies.email}"/></div>
                            </div>
                            <div class="header_right2">
                                <div class="password" style="width:45px;">{$MSG_FORM_PASSWORD_HEAD}</div>
                                <div class="password_box"><input type="password" style="width:150px;" class="box_control" name="password" /></div>
                                <div class="login_bttn"><input type="image" src="{$theme}/images/login_bttn.jpg" /></div>
                            </div>
                            <div class="header_right3">
                                <div class="checkbox_set"><input type="checkbox" name="remember" value="" /></div>
                                <div class="remember_me">{$MSG_REMEMBER}</div>
                                <div class="forgot"><a href="{$ScriptUrl}/forgot-password.php">{$MSG_FORGOT_PASS}</a></div>  
                            </div>
                            </form>
                        {else}
                            <div> 
                                <div style="padding:2px;"><b>{$MSG_WELCOME}&#187; {$session_user}</b></div>
                                <div style="padding:2px;">
                                        
                                        {if $article_number > 0}
                                        <b><a href="{$ScriptUrl}/manage-articles.php">{$article_number} {$MSG_ARTICLES}</a></b>
                                        {else} <b>0 {$MSG_ARTICLE}</b> {/if}
                                        |
                                        {if $coments_number > 0}<b>
                                        <a href="{$ScriptUrl}/manage-comments.php"><b>{$coments_number} {$MSG_COMMENTS}</b></a>
                                        {else}<b> 0 {$MSG_COMMENT}</b>{/if}
                                    
                                </div>                                
                                <div style="padding:2px;"><b><a href="{$ScriptUrl}/index.php?module=authorisation&amp;action=logout">{$MSG_LOG_OUT}</a></b></div>
                            </div>                            
                        {/if}    
                        </div>
                    </div>
                </div>
                <div id="menu">
                    <div class="menu_left_content">
                        <div class="menuleft_left"></div>
                        <div class="menuleft_mid">
                            <div class="menu_list">
                            {if $userid eq ''}
                                <ul>
                                    <li><a href="{$ScriptUrl}/index.htm">{$MSG_BANER_HOME}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/register.php">{$MSG_BANER_SIGNUP}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/browse/index.htm">{$MSG_BANER_BROWSE}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/search.php">{$MSG_BANER_SEARCH}</a></li>
                                </ul>
                            {else}
                                <ul>
                                    <li><a href="{$ScriptUrl}/manage-account.php">{$MSG_BANER_ACCOUNT}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/manage-articles.php">{$MSG_BANER_ARTICLES}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/manage-subitems.php">{$MSG_BANER_SUBITEMS}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/manage-bookmarks.php">{$MSG_BANER_FAVOURITE}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/manage-messages.php">{$MSG_BANER_MAILBOX}</a>&nbsp;|</li>
                                    <li><a href="{$ScriptUrl}/search.php">{$MSG_BANER_SEARCH}</a></li>
                                </ul>
                            {/if}
                            </div>
                        </div>
                        <div class="menuleft_right"></div>
                    </div>
                    <div class="menu_right_content">
                        <div class="menuright_left"></div>
                        <div class="menuright_mid">                            
                            <div class="search_content">
                                <div class="search_txt">{$MSG_SEARCH}</div>
                                <form method="post" action="{$ScriptUrl}/search.php"> 
                                <input type="hidden"  name="submit"  value="Go" />
                                <input type="hidden"  name="tbl" value="all" />
                                <input type="hidden"  value="all" name="type" />
                                <div class="search_txtbox"><input type="text" style="width:100px;"  class="box_control" name="what" value="{$smarty.request.what}" /></div>
                                <div class="search_go_bttn"><input type="image" src="{$theme}/images/go_bttn.jpg" /></div>
                                </form>
                            </div>
                        </div>
                        <div class="menuright_right"></div>
                    </div>
                </div>
